Bug 1784484 - ccache: Update to 3.7.6
Summary: ccache: Update to 3.7.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ccache
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-17 14:58 UTC by Derek Schrock
Modified: 2020-01-04 20:11 UTC (History)
3 users (show)

Fixed In Version: ccache-3.7.6-1.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-04 20:11:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Derek Schrock 2019-12-17 14:58:00 UTC
Description of problem:  epel7's ccache is currently at 3.3.4 the latest release is 3.7.6.  ccache 3.4 added support for distcc's pump mode which is what we're currently attempting to support.  Can ccache be updated to 3.7.6?  If not and 3.5/6/7 breaks EPEL update policy but 3.4 doesn't can ccache be updated to at least 3.4.3 (last 3.4.x release).

Reviewing ccache release notes [1] it appears there aren't any breaking changes in 3.4/5/6/7 from my understanding of the EPEL update policy.


[1] https://ccache.dev/releasenotes.html

Comment 1 Fedora Update System 2019-12-18 09:58:38 UTC
FEDORA-EPEL-2019-e8b22c1c43 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e8b22c1c43

Comment 2 Fedora Update System 2019-12-19 00:06:57 UTC
ccache-3.7.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e8b22c1c43

Comment 3 Fedora Update System 2020-01-04 20:11:56 UTC
ccache-3.7.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.